package rosa

import "hakurei.app/internal/pkg"

func (t Toolchain) newXZ() (pkg.Artifact, string) {
	const (
		version  = "5.8.3"
		checksum = "nCdayphPGdIdVoAZ2hR4vYlhDG9LeVKho_i7ealTud4Vxy5o5dWe0VwFlN7utuUL"
	)
	return t.NewPackage("xz", version, newFromGitHubRelease(
		"tukaani-project/xz",
		"v"+version,
		"xz-"+version+".tar.bz2",
		checksum,
		pkg.TarBzip2,
	), nil, (*MakeHelper)(nil),
		Diffutils,
	), version
}
func init() {
	artifactsM[XZ] = Metadata{
		f: Toolchain.newXZ,

		Name:        "xz",
		Description: "XZ Utils",
		Website:     "https://tukaani.org/xz/",

		ID: 5277,
	}
}
